﻿$packageName = 'sqlserver2012express-managementstudio'
$installerType = 'EXE'
$url = 'http://download.microsoft.com/download/8/D/D/8DD7BDBA-CEF7-4D8E-8C16-D9F69527F909/ENU/x86/SQLManagementStudio_x86_ENU.exe'
$url64 = 'http://download.microsoft.com/download/8/D/D/8DD7BDBA-CEF7-4D8E-8C16-D9F69527F909/ENU/x64/SQLManagementStudio_x64_ENU.exe'
$silentArgs = '/Action=Install /FEATURES=CONN,BC,SSMS /IACCEPTSQLSERVERLICENSETERMS /Q'
$validExitCodes = @(0)
$InstallerLogLocation = "$env:temp\sql2012expressmgmtstudiosetup.log"

Try 
  {
  $OSver = ((gwmi Win32_OperatingSystem).Version)
  If ([version]$OSver -ge [version]"6.3")
    {
	# dotnet3.5 package dependency does not seem to properly register dotnet 3 on Server 2012 R2 (and maybe others)
    add-windowsfeature NET-Framework-Features
    add-windowsfeature NET-Framework-Core
    }
  Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64"  -validExitCodes $validExitCodes
  }

Catch 
  {
  "The installation of $packageName failed, please see installer log files at `"C:\Program Files\Microsoft SQL Server\100\Setup Bootstrap\Log`" and `"$InstallerLogLocation`" for more details." | write-host -foregroundcolor yellow
  }
  
If (Test-Path "$env:temp\chocolatey\$packageName") {Remove-Item "$env:temp\chocolatey\$packageName" -Recurse -Force}